%global extension   tiling-assistant
%global uuid        %{extension}@leleat-on-github

Name:           gnome-shell-extension-%{extension}
Version:        36
Release:        %autorelease
Summary:        Adds a Windows-like snap assist to GNOME
License:        GPL-2.0-or-later
URL:            https://github.com/Leleat/Tiling-Assistant
Source:         %{url}/archive/v%{version}/%{extension}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  gettext
Requires:       gnome-shell >= 42
Requires:       hicolor-icon-theme
Recommends:     gnome-extensions-app
Provides:       %{extension} = %{version}-%{release}


%description
An extension which adds a Windows-like snap assist to GNOME.  It also changes
GNOME's 2 column tiling design to a 2x2 grid (i.e. 4 quadrants) and more...


%prep
%autosetup -n Tiling-Assistant-%{version}

mv %{uuid}/schemas .


%install
# install main extension files
install -d -m 0755 %{buildroot}%{_datadir}/gnome-shell/extensions
cp -p -r %{uuid} %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}

# install the schema file
install -D -p -m 0644 \
    schemas/org.gnome.shell.extensions.%{extension}.gschema.xml \
    %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml

# install locale files
pushd translations
for po in *.po; do
    install -d -m 0755 %{buildroot}%{_datadir}/locale/${po%.po}/LC_MESSAGES
    msgfmt -o %{buildroot}%{_datadir}/locale/${po%.po}/LC_MESSAGES/%{extension}.mo $po
done
popd
%find_lang %{extension}


%files -f %{extension}.lang
%license LICENSE
%doc GUIDE.md
%{_datadir}/gnome-shell/extensions/%{uuid}
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml


%changelog
%autochangelog
